List My Reports
GET
/me/reports
const url = 'https://example.com/me/reports';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/me/reports \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List My Reports Me Reports Get
Array<object>
ReportOutobject
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
reason
required
Reason
string
reported_id
required
Reported Id
string format: uuid
reporter_id
required
Reporter Id
string format: uuid
Examplegenerated
[ { "created_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pair_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reason": "example", "reported_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reported_username": "example", "reporter_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "reporter_username": "example", "resolution": "example", "resolved_at": "2026-04-15T12:00:00Z" }]